blind-checks
List a plan's submitted blind checks and their scores
GET
/
api
/
v1
/
blind-checks
/
checks
List a plan's submitted blind checks and their scores
curl --request GET \
--url https://api.nitsor.com/api/v1/blind-checks/checks \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.nitsor.com/api/v1/blind-checks/checks"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.nitsor.com/api/v1/blind-checks/checks', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.nitsor.com/api/v1/blind-checks/checks",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.nitsor.com/api/v1/blind-checks/checks"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.nitsor.com/api/v1/blind-checks/checks")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.nitsor.com/api/v1/blind-checks/checks")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"items": [
{
"checkId": "<string>",
"planId": "<string>",
"blindTaskId": "<string>",
"submittedTaskId": "<string>",
"sendBacks": 1,
"revealTaskId": "<string>",
"revealStanding": "final",
"assetId": "<string>",
"jobId": "<string>",
"setupVersion": "<string>",
"counted": true,
"state": "submitted",
"labelsRoot": "<string>",
"labelCount": 1,
"position": {
"branchId": "<string>",
"eventSeq": 1
},
"submittedBy": {
"issuer": "<string>",
"subject": "<string>",
"type": "user"
},
"scanFailed": true,
"counts": {
"keptAsIs": 1,
"styleFix": 1,
"smallFix": 1,
"bigFix": 1,
"deleted": 1,
"wrongClass": 1,
"missed": 1,
"notRecorded": 1,
"pendingRunPlane": 1,
"notComparable": 1
},
"rulesVersion": "<string>",
"outcomeRulesVersion": "<string>",
"toleranceMm": 1,
"activeTime": {
"state": "not_recorded",
"reason": "editor_events_untimed"
},
"createdAt": "2023-11-07T05:31:56Z",
"submittedAt": "2023-11-07T05:31:56Z",
"scoredAt": "2023-11-07T05:31:56Z"
}
],
"nextCursor": "<string>"
}{
"requestId": "<string>",
"retryable": true,
"code": "AUTHORIZATION_DENIED",
"message": "<string>",
"missingScope": "<string>",
"reason": "<string>",
"decisionId": "<string>"
}{
"requestId": "<string>",
"retryable": true,
"code": "AUTHORIZATION_DENIED",
"message": "<string>",
"missingScope": "<string>",
"reason": "<string>",
"decisionId": "<string>"
}{
"requestId": "<string>",
"retryable": true,
"code": "AUTHORIZATION_DENIED",
"message": "<string>",
"missingScope": "<string>",
"reason": "<string>",
"decisionId": "<string>"
}{
"requestId": "<string>",
"retryable": true,
"code": "AUTHORIZATION_DENIED",
"message": "<string>",
"missingScope": "<string>",
"reason": "<string>",
"decisionId": "<string>"
}{
"requestId": "<string>",
"retryable": true,
"code": "AUTHORIZATION_DENIED",
"message": "<string>",
"missingScope": "<string>",
"reason": "<string>",
"decisionId": "<string>"
}{
"requestId": "<string>",
"retryable": true,
"code": "AUTHORIZATION_DENIED",
"message": "<string>",
"missingScope": "<string>",
"reason": "<string>",
"decisionId": "<string>"
}{
"requestId": "<string>",
"retryable": true,
"code": "AUTHORIZATION_DENIED",
"message": "<string>",
"missingScope": "<string>",
"reason": "<string>",
"decisionId": "<string>"
}{
"requestId": "<string>",
"retryable": true,
"code": "AUTHORIZATION_DENIED",
"message": "<string>",
"missingScope": "<string>",
"reason": "<string>",
"decisionId": "<string>"
}{
"requestId": "<string>",
"retryable": true,
"code": "AUTHORIZATION_DENIED",
"message": "<string>",
"missingScope": "<string>",
"reason": "<string>",
"decisionId": "<string>"
}Authorizations
Query Parameters
⌘I
List a plan's submitted blind checks and their scores
curl --request GET \
--url https://api.nitsor.com/api/v1/blind-checks/checks \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.nitsor.com/api/v1/blind-checks/checks"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.nitsor.com/api/v1/blind-checks/checks', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.nitsor.com/api/v1/blind-checks/checks",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.nitsor.com/api/v1/blind-checks/checks"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.nitsor.com/api/v1/blind-checks/checks")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.nitsor.com/api/v1/blind-checks/checks")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"items": [
{
"checkId": "<string>",
"planId": "<string>",
"blindTaskId": "<string>",
"submittedTaskId": "<string>",
"sendBacks": 1,
"revealTaskId": "<string>",
"revealStanding": "final",
"assetId": "<string>",
"jobId": "<string>",
"setupVersion": "<string>",
"counted": true,
"state": "submitted",
"labelsRoot": "<string>",
"labelCount": 1,
"position": {
"branchId": "<string>",
"eventSeq": 1
},
"submittedBy": {
"issuer": "<string>",
"subject": "<string>",
"type": "user"
},
"scanFailed": true,
"counts": {
"keptAsIs": 1,
"styleFix": 1,
"smallFix": 1,
"bigFix": 1,
"deleted": 1,
"wrongClass": 1,
"missed": 1,
"notRecorded": 1,
"pendingRunPlane": 1,
"notComparable": 1
},
"rulesVersion": "<string>",
"outcomeRulesVersion": "<string>",
"toleranceMm": 1,
"activeTime": {
"state": "not_recorded",
"reason": "editor_events_untimed"
},
"createdAt": "2023-11-07T05:31:56Z",
"submittedAt": "2023-11-07T05:31:56Z",
"scoredAt": "2023-11-07T05:31:56Z"
}
],
"nextCursor": "<string>"
}{
"requestId": "<string>",
"retryable": true,
"code": "AUTHORIZATION_DENIED",
"message": "<string>",
"missingScope": "<string>",
"reason": "<string>",
"decisionId": "<string>"
}{
"requestId": "<string>",
"retryable": true,
"code": "AUTHORIZATION_DENIED",
"message": "<string>",
"missingScope": "<string>",
"reason": "<string>",
"decisionId": "<string>"
}{
"requestId": "<string>",
"retryable": true,
"code": "AUTHORIZATION_DENIED",
"message": "<string>",
"missingScope": "<string>",
"reason": "<string>",
"decisionId": "<string>"
}{
"requestId": "<string>",
"retryable": true,
"code": "AUTHORIZATION_DENIED",
"message": "<string>",
"missingScope": "<string>",
"reason": "<string>",
"decisionId": "<string>"
}{
"requestId": "<string>",
"retryable": true,
"code": "AUTHORIZATION_DENIED",
"message": "<string>",
"missingScope": "<string>",
"reason": "<string>",
"decisionId": "<string>"
}{
"requestId": "<string>",
"retryable": true,
"code": "AUTHORIZATION_DENIED",
"message": "<string>",
"missingScope": "<string>",
"reason": "<string>",
"decisionId": "<string>"
}{
"requestId": "<string>",
"retryable": true,
"code": "AUTHORIZATION_DENIED",
"message": "<string>",
"missingScope": "<string>",
"reason": "<string>",
"decisionId": "<string>"
}{
"requestId": "<string>",
"retryable": true,
"code": "AUTHORIZATION_DENIED",
"message": "<string>",
"missingScope": "<string>",
"reason": "<string>",
"decisionId": "<string>"
}{
"requestId": "<string>",
"retryable": true,
"code": "AUTHORIZATION_DENIED",
"message": "<string>",
"missingScope": "<string>",
"reason": "<string>",
"decisionId": "<string>"
}